/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.CuponSecretariaDAO;
import com.rjconsultores.ventaboletos.entidad.CuponSecretaria;
import com.rjconsultores.ventaboletos.service.CuponSecretariaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("cuponSecretariaService")
public class CuponSecretariaServiceImpl implements CuponSecretariaService {

    @Autowired
    private CuponSecretariaDAO cuponSecretariaDAO;

    public List<CuponSecretaria> obtenerTodos() {
        return cuponSecretariaDAO.obtenerTodos();
    }

    public CuponSecretaria obtenerID(Integer id) {
        return cuponSecretariaDAO.obtenerID(id);
    }

    @Transactional
    public CuponSecretaria suscribir(CuponSecretaria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return cuponSecretariaDAO.suscribir(entidad);
    }

    @Transactional
    public CuponSecretaria actualizacion(CuponSecretaria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return cuponSecretariaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(CuponSecretaria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        cuponSecretariaDAO.actualizacion(entidad);
    }
}
